Index: src/molecule.cpp
===================================================================
--- src/molecule.cpp	(revision 88c8ec20f4a97f9685638eda1c07bca7fe46bd4e)
+++ src/molecule.cpp	(revision c8302f3908877b8fb1eda3e8ac494300a5249860)
@@ -716,28 +716,4 @@
 };
 
-/** Remove bond from bond chain list and from the both atom::ListOfBonds.
- * Bond::~Bond takes care of bond removal
- * \param *pointer bond pointer
- * \return true - bound found and removed, false - bond not found/removed
- */
-bool molecule::RemoveBond(bond::ptr pointer)
-{
-  //ELOG(1, "molecule::RemoveBond: Function not implemented yet.");
-  delete(pointer);
-  return true;
-};
-
-/** Remove every bond from bond chain list that atom \a *BondPartner is a constituent of.
- * \todo Function not implemented yet
- * \param *BondPartner atom to be removed
- * \return true - bounds found and removed, false - bonds not found/removed
- */
-bool molecule::RemoveBonds(atom *BondPartner)
-{
-  //ELOG(1, "molecule::RemoveBond: Function not implemented yet.");
-  BondPartner->removeAllBonds();
-  return false;
-};
-
 /** Set molecule::name from the basename without suffix in the given \a *filename.
  * \param *filename filename
@@ -771,16 +747,4 @@
     domain.at(i,i) = dim->at(i);
   World::getInstance().setDomain(domain);
-};
-
-/** Removes atom from molecule list and removes all of its bonds.
- * \param *pointer atom to be removed
- * \return true - succeeded, false - atom not found in list
- */
-bool molecule::RemoveAtom(atom *pointer)
-{
-  ASSERT(pointer, "Null pointer passed to molecule::RemoveAtom().");
-  RemoveBonds(pointer);
-  pointer->removeFromMolecule();
-  return true;
 };
 
Index: src/molecule.hpp
===================================================================
--- src/molecule.hpp	(revision 88c8ec20f4a97f9685638eda1c07bca7fe46bd4e)
+++ src/molecule.hpp	(revision c8302f3908877b8fb1eda3e8ac494300a5249860)
@@ -249,6 +249,4 @@
   bool AddHydrogenReplacementAtom(bond::ptr Bond, atom *BottomOrigin, atom *TopOrigin, atom *TopReplacement, bool IsAngstroem);
   bond::ptr AddBond(atom *first, atom *second, int degree = 1);
-  bool RemoveBond(bond::ptr pointer);
-  bool RemoveBonds(atom *BondPartner);
   bool hasBondStructure() const;
 
Index: src/unittests/ListOfBondsUnitTest.cpp
===================================================================
--- src/unittests/ListOfBondsUnitTest.cpp	(revision 88c8ec20f4a97f9685638eda1c07bca7fe46bd4e)
+++ src/unittests/ListOfBondsUnitTest.cpp	(revision c8302f3908877b8fb1eda3e8ac494300a5249860)
@@ -155,8 +155,8 @@
 };
 
-/** Unit Test of molecule::RemoveBond()
- *
- */
-void ListOfBondsTest::RemovingBondTest()
+/** Unit Test of delete(bond::ptr )
+ *
+ */
+void ListOfBondsTest::DeleteBondTest()
 {
   bond::ptr Binder = NULL;
@@ -173,5 +173,7 @@
 
   // remove bond
-  TestMolecule->RemoveBond(Binder);
+  delete Binder;
+  //atom1->removeBond(Binder);
+  //atom2->removeBond(Binder);
 
   // check if removed from atoms
@@ -182,128 +184,4 @@
   {
     const BondList& ListOfBonds = atom2->getListOfBonds();
-    CPPUNIT_ASSERT_EQUAL( (size_t) 0, ListOfBonds.size() );
-  }
-
-  // check if removed from molecule
-  CPPUNIT_ASSERT_EQUAL( false, TestMolecule->hasBondStructure() );
-};
-
-/** Unit Test of molecule::RemoveBonds()
- *
- */
-void ListOfBondsTest::RemovingBondsTest()
-{
-  bond::ptr Binder = NULL;
-  molecule::iterator iter = TestMolecule->begin();
-  atom *atom1 = *iter;
-  iter++;
-  atom *atom2 = *iter;
-  iter++;
-  atom *atom3 = *iter;
-  CPPUNIT_ASSERT( atom1 != NULL );
-  CPPUNIT_ASSERT( atom2 != NULL );
-  CPPUNIT_ASSERT( atom3 != NULL );
-
-  // add bond
-  Binder = TestMolecule->AddBond(atom1, atom2, 1);
-  CPPUNIT_ASSERT( Binder != NULL );
-  Binder = TestMolecule->AddBond(atom1, atom3, 1);
-  CPPUNIT_ASSERT( Binder != NULL );
-  Binder = TestMolecule->AddBond(atom2, atom3, 1);
-  CPPUNIT_ASSERT( Binder != NULL );
-
-  // check that all are present
-  {
-    const BondList& ListOfBonds = atom1->getListOfBonds();
-    CPPUNIT_ASSERT_EQUAL( (size_t) 2, ListOfBonds.size() );
-  }
-  {
-    const BondList& ListOfBonds = atom2->getListOfBonds();
-    CPPUNIT_ASSERT_EQUAL( (size_t) 2, ListOfBonds.size() );
-  }
-  {
-    const BondList& ListOfBonds = atom3->getListOfBonds();
-    CPPUNIT_ASSERT_EQUAL( (size_t) 2, ListOfBonds.size() );
-  }
-
-  // remove bond
-  TestMolecule->RemoveBonds(atom1);
-
-  // check if removed from atoms
-  {
-    const BondList& ListOfBonds = atom1->getListOfBonds();
-    CPPUNIT_ASSERT_EQUAL( (size_t) 0, ListOfBonds.size() );
-  }
-  {
-    const BondList& ListOfBonds = atom2->getListOfBonds();
-    CPPUNIT_ASSERT_EQUAL( (size_t) 1, ListOfBonds.size() );
-  }
-  {
-    const BondList& ListOfBonds = atom3->getListOfBonds();
-    CPPUNIT_ASSERT_EQUAL( (size_t) 1, ListOfBonds.size() );
-  }
-
-  // check if removed from molecule
-  CPPUNIT_ASSERT_EQUAL( true, TestMolecule->hasBondStructure() );
-  CPPUNIT_ASSERT_EQUAL( (int)1, TestMolecule->getBondCount() );
-};
-
-/** Unit Test of delete(bond::ptr )
- *
- */
-void ListOfBondsTest::DeleteBondTest()
-{
-  bond::ptr Binder = NULL;
-  molecule::iterator iter = TestMolecule->begin();
-  atom *atom1 = *iter;
-  iter++;
-  atom *atom2 = *iter;
-  CPPUNIT_ASSERT( atom1 != NULL );
-  CPPUNIT_ASSERT( atom2 != NULL );
-
-  // add bond
-  Binder = TestMolecule->AddBond(atom1, atom2, 1);
-  CPPUNIT_ASSERT( Binder != NULL );
-
-  // remove bond
-  delete(Binder);
-
-  // check if removed from atoms
-  {
-    const BondList& ListOfBonds = atom1->getListOfBonds();
-    CPPUNIT_ASSERT_EQUAL( (size_t) 0, ListOfBonds.size() );
-  }
-  {
-    const BondList& ListOfBonds = atom2->getListOfBonds();
-    CPPUNIT_ASSERT_EQUAL( (size_t) 0, ListOfBonds.size() );
-  }
-
-  // check if removed from molecule
-  CPPUNIT_ASSERT_EQUAL( false, TestMolecule->hasBondStructure() );
-};
-
-/** Unit Test of molecule::RemoveAtom()
- *
- */
-void ListOfBondsTest::RemoveAtomTest()
-{
-  bond::ptr Binder = NULL;
-  molecule::iterator iter = TestMolecule->begin();
-  atom *atom1 = *iter;
-  iter++;
-  atom *atom2 = *iter;
-  CPPUNIT_ASSERT( atom1 != NULL );
-  CPPUNIT_ASSERT( atom2 != NULL );
-
-  // add bond
-  Binder = TestMolecule->AddBond(atom1, atom2, 1);
-  CPPUNIT_ASSERT( Binder != NULL );
-
-  // remove atom2
-  TestMolecule->RemoveAtom(atom2);
-
-  // check bond if removed from other atom
-  {
-    const BondList& ListOfBonds = atom1->getListOfBonds();
     CPPUNIT_ASSERT_EQUAL( (size_t) 0, ListOfBonds.size() );
   }
Index: src/unittests/ListOfBondsUnitTest.hpp
===================================================================
--- src/unittests/ListOfBondsUnitTest.hpp	(revision 88c8ec20f4a97f9685638eda1c07bca7fe46bd4e)
+++ src/unittests/ListOfBondsUnitTest.hpp	(revision c8302f3908877b8fb1eda3e8ac494300a5249860)
@@ -28,7 +28,4 @@
     CPPUNIT_TEST ( SetupTest );
     CPPUNIT_TEST ( AddingBondTest );
-    CPPUNIT_TEST ( RemovingBondTest );
-    CPPUNIT_TEST ( RemovingBondsTest );
-    CPPUNIT_TEST ( RemoveAtomTest );
     CPPUNIT_TEST ( DeleteBondTest );
     CPPUNIT_TEST ( DeleteAtomTest );
@@ -41,7 +38,4 @@
       void SetupTest();
       void AddingBondTest();
-      void RemovingBondTest();
-      void RemovingBondsTest();
-      void RemoveAtomTest();
       void DeleteBondTest();
       void DeleteAtomTest();
